require 'specific/feature'
require 'specific/tag'
require 'specific/group'
require 'specific/scenario'
require 'specific/step'

require 'specific/processor'

require 'specific/renderer'

require 'specific/loader'
require 'specific/command'

module Specific
  class Base
    attr_reader :base_path

    def initialize(base_path)
      @base_path = base_path
    end

    def add_feature(feature)
      features << feature
    end

    def features
      @features ||= []
    end

    def next_id
      highest_id + 1
    end

    private
    def highest_id
      features.map(&:id).max
    end
  end
end
