module Specific
  class Feature < Struct.new(:name, :tags, :description, :scenarios)
    attr_reader :id, :group

    def initialize(*)
      super
      process!
    end

    def id
      if !@id
        @@last_id ||= 0
        @id = @@last_id
        @@last_id += 1
      end
      @id
    end

    private
    def process!
      process_tags!
    end

    def process_tags!
      tags.each do |tag|
        if tag.id?
          @id = tag.id.to_i
        elsif tag.group?
          @group = Group.new(tag.group_name)
        end
      end
    end
  end
end
