module Specific
  class Loader
    attr_reader :spec

    def initialize(path = 'features')
      base_path = File.join(Dir.pwd, path)

      @path = File.join(base_path, '**', '*.feature')
      @spec = Specific::Base.new(base_path)
    end

    def run
      Dir[@path].each do |feature_file|
        feature_definition = File.read(feature_file)
        ast = GherkinRuby.parse(feature_definition)

        processor = Specific::Processor::Gherkin.new(@spec)
        processor.execute(ast)
      end
    end
  end
end
