module Specific
  module Renderer
    class Text
      include Renderer::Base

      types :text

      def initialize(spec)
        @spec = spec
      end

      def render
        out = ""

        grouped_features = @spec.features.group_by(&:group)

        grouped_features.each do |group, features|
          if group
            group_title =  "Group '#{group.name}'"
          else
            group_title = "Ungrouped"
          end

          out << group_title + "\n"
          out << "="*group_title.size + "\n"

          features.sort_by(&:id).each do |feature|
            out << ("  [F%0.4d] - %s" % [feature.id, feature.name]) + "\n"
          end
        end

        out
      end
    end
  end
end
